org.codehaus.groovy.transform.stc

## Interface SignatureCodec

- All Known Implementing Classes:
    SignatureCodecVersion1

      public interface SignatureCodec

  A signature codec is responsible for encoding and decoding of inferred returned types as stored in bytecode. The signature must contain an appropriate version number so that future versions of Groovy remain capable of decoding previous versions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassNode` | `decode(java.lang.String signature)`
    `java.lang.String` | `encode(ClassNode node)`

- - ### Method Detail

    - #### encode

          java.lang.String encode(ClassNode node)

    - #### decode

          ClassNode decode(java.lang.String signature)